<?php

define('_ENGINE', true);

include $_SERVER['DOCUMENT_ROOT'] . '/system/sys.php';
include $_SERVER['DOCUMENT_ROOT'] . '/system/funcs.php';

if (!isset ($us)) {
    
    header ('location: /');
    
    exit;

}

H ('Статистика', 'Статистика');

switch ($_GET['mod']) {
    default:
    
    echo '
    <div class="lst">
        &#187; <a href="/stat.php?mod=adm">Администрация</a>
    </div>
    <div class="lst">
        &#187; <a href="/modules/reits.php">Рейтинг Мастеров</a>
    </div>
    <div class="lst">
        &#187; <a href="/stat.php?mod=bday">Именниники</a>
    </div>
    <div class="lst">
        &#187; <a href="/masters.php">Все мастера</a>
    </div>
    <div class="list1"><b><font color=#a6a122>
        &#187; Всего мастеров: <b>' . DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `us`") . '</b><br/>
        &#187; Ко-во разделов на форуме: <b>' . DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `forum_r`") . '</b><br/>
        &#187; Ко-во подразделов на форуме: <b>' . DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `forum_pr`") . '</b><br/>
        &#187; Ко-во тем на форуме: <b>' . DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `forum_t`") . '</b><br/>
        &#187; Ко-во постов на форуме: <b>' . DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `forum_p` " . ($us['level']>0?'':'WHERE (`del`=\'0\')')) . '</b><br/>
        &#187; Ко-во файлов на форуме: <b>' . DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `forum_f`") . '</b><br/>
        &#187; Комментариев к новостям: <b>' . DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `news_komm`") . '</b>
    </b></font></div>
    ';
    break;
    
    case 'adm':
    echo '
    <div class="menu">
        Администрация
    </div>
    ';
    
    $query = DB :: $dbs -> query ("SELECT * FROM `us` WHERE (`level`>'0')");
    while ($u = $query -> fetch ()) {
        
        echo '
        <div class="list1">
            ' . uNick ($u['id']) . '
        </div>
        ';
        
    }
    
    echo '
    <div class="lst">
        <a href="/stat.php">В статистику</a>
    </div>
    ';
    
    break;
    case 'bday':
$date = date('d.m.');
$day = DB::$dbs->query
("SELECT id FROM us WHERE
birthday LIKE ? ORDER BY id DESC",array("%$date%"));
if ( $day->rowCount() == 0 ) {
             echo '<div class="list1">Сегодня именинников нет!</div>';
         }
if($day->rowCount()>0){
echo '<div class="list1">';
echo '<b>С днем рождения:</b> ';
while($d = $day->fetch()){
echo '<a href="/us'.$d['id'].'">'.uNick($d['id']).'</a>, ';
}
echo '</div>';
}
    
    break;

}

F ();
